using System;

namespace ScorePrediction
{
    class Program
    {
        static void Main(string[] args)
        {
            // Dobijanje trenutnog i poslednjeg rezultata
            string finalScore = Console.ReadLine();
            string currentScore = Console.ReadLine();
            // Parsovanje rezultata u zasebne promenljive
            int x = int.Parse(currentScore.Split()[0]);
            int y = int.Parse(currentScore.Split()[1]);
            int a = int.Parse(finalScore.Split()[0]);
            int b = int.Parse(finalScore.Split()[1]);

            // Previdjanja 
            if (x < a && y < b)
            {
                Console.WriteLine("?");
            }
            else if (x < a && y == b)
            {
                Console.WriteLine("prvi");
            }
            else if (y < b && x == a)
            {
                Console.WriteLine("drugi");
            }
            else
            {
                Console.WriteLine("nijedan");
            }
        }
    }
}

}